#357 closed defect (fixed)

Single line patch to rtems_termios_open() in termios.c

Reported by: ptorre Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: unknown
Severity: major Keywords:
Cc: bugs@…, thomas.doerfler@… Blocked By:
Blocking:

Description

we have detected an error in the termios.c code. in the function
rtems_termios_open() is memory allocated for various buffers and in the
case that not enough memory is available totally released before exiting.

Release:
rtems-ss-20030128

Environment:
All

Attachments (1)

termios_free_patch.diff (804 bytes) - added by ptorre on Dec 3, 2006 at 1:31:13 PM.
termios_free_patch.diff

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Feb 20, 2003 at 6:40:00 PM by thomas.doerfler

Status: assignedwaiting

comment:2 Changed on Feb 20, 2003 at 7:46:07 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied to 4.6 branch and trunk. Thanks.

Changed on Dec 3, 2006 at 1:31:13 PM by ptorre

Attachment: termios_free_patch.diff added

termios_free_patch.diff

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.